# $Revision: 1.11 $, $Date: 2006/10/08 20:08:08 $

%define		module	dns

Summary:	dnspython - a DNS toolkit for Python
Summary(pl):	dnspython - zestaw narzdzi do DNS dla Pythona
Name:		python-%{module}
Version:	1.4.0
Release:	1
License:	distributable
Group:		Development/Languages/Python
Source0:	http://www.dnspython.org/kits/stable/dnspython-%{version}.tar.gz
# Source0-md5:	7f7e58379235b2b626620a7bda810270
URL:		http://www.dnspython.org/
BuildRequires:	python-devel >= 1:2.3
%pyrequires_eq	python-modules
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
dnspython is a DNS toolkit for Python. It supports almost all record
types. It can be used for queries, zone transfers, and dynamic
updates. It supports TSIG authenticated messages and EDNS0.

dnspython provides both high and low level access to DNS. The high
level classes perform queries for data of a given name, type, and
class, and return an answer set. The low level classes allow direct
manipulation of DNS zones, messages, names, and records.

%description -l pl
dnspython to zestaw narzdzi do DNS dla Pythona. Obsuguje prawie
wszystkie rodzaje rekordw. Moe by uywany do zapyta, transferw
stref oraz dynamicznych uaktualnie. Obsuguje uwierzytelnione
komunikaty TSIG oraz EDNS0.

dnspython dostarcza zarwno wysoko- jak i niskopoziomowy dostp do
DNS-a. Klasy wysokopoziomowe wykonuj zapytania o dane dla podanej
nazwy, rodzaju i klasy, a zwracaj zbir odpowiedzi. Klasy
niskopoziomowe umoliwiaj bezporednie manipulacje na strefach,
komunikatach, nazwach i rekordach w DNS-ie.

%prep
%setup -q -n dnspython-%{version}

%build
python setup.py build

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

cp -r examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

python setup.py install \
	--root=$RPM_BUILD_ROOT \
	--optimize=2

find $RPM_BUILD_ROOT%{py_sitescriptdir} -name "*.py" | xargs rm

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc LICENSE ChangeLog README TODO
%{py_sitescriptdir}/%{module}
%dir %{_examplesdir}/%{name}-%{version}
%{_examplesdir}/%{name}-%{version}/*

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: python-dns.spec,v $
Revision 1.11  2006/10/08 20:08:08  qboosh
- updated to 1.4.0

Revision 1.10  2006/09/27 20:21:52  wrobell
- rel. 3 to rebuild with python 2.5 (final)

Revision 1.9  2006/08/28 05:50:10  freetz
- rel.2 for rebuild with new python

Revision 1.8  2005/11/02 21:43:19  arekm
- up to 1.3.5

Revision 1.7  2005/08/13 16:17:52  arekm
- up to 1.3.4

Revision 1.6  2005/03/12 12:32:37  troll
- mass commit: remove obsolete BR: rpm-pythonprov

Revision 1.5  2005/02/28 10:10:36  czucz
- updated to 1.3.3

Revision 1.4  2004/12/23 20:38:48  saq
- release 2 for rebuild with python 2.4

Revision 1.3  2004/12/20 20:30:39  qboosh
- pl

Revision 1.2  2004/12/19 05:55:26  ankry
- formatting

Revision 1.1  2004/12/18 20:07:14  jajcus
- new spec
